(function(){

  /**
   * Init
   */
  function init() {
    var userScope = $('userScopeFilter');
    if (userScope === null) {
      // Nothing to do
      return;
    }
    userScope.observe('change', onUserScopeChange);
  }
  
  function onUserScopeChange(event) {
    var value = $('userScopeFilter').value;
    var livetable = window["livetable_userdirectory"];
    var url = livetable.getUrl;
    if (url.search("userScope=") >= 0) {
      // Replace the old value
      if (value == 'local') {
        url = url.replace("userScope=global", "userScope=local");
      } else {
        url = url.replace("userScope=local", "userScope=global");
      }
    } else {
      url = url + "&userScope=" + value;
    }
    livetable.getUrl = url;
    // Reload the livetable
    livetable.clearCache();
    livetable.showRows(1, livetable.limit);
  }
  
  /**
   * Call Init
   */
  (XWiki && XWiki.domIsLoaded && init()) || document.observe("xwiki:dom:loaded", init);

})();

